package lc.stack.zero.housekeeper;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import lc.stack.zero.Personality;

/**
 * An implementation of the chef client personality. This personality receives configuration from a remote server
 * and uses that configuration to execute the <code>chef-solo</code> command to assert that configuration
 * onto the local machine.
 *
 * @author Alex Leigh
 */
public class ChefClientPersonality implements Personality {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(ChefClientPersonality.class);
    public static String NAME = "leighco.chef_client";

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public void configure(String URL) {

    }
}
